### Method

# Ide ToolchainProvider load_async

#### Declaration

    void
    ide_toolchain_provider_load_async (
      IdeToolchainProvider* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This function is called to initialize the toolchain provider after the plugin instance has been created. The provider should locate any toolchain within the project and call `ide_toolchain_provider_emit_added()` before completing the asynchronous function so that the toolchain manager may be made aware of the toolchains.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.